<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
         http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-2.0.xsd">

    <changeSet  id="wlasciciele_increment" author="Catsja">
    <createSequence
            incrementBy="1"
            minValue="1"
            schemaName="public"
            sequenceName="id_wlasciciela_seq"/>
    </changeSet>

    <changeSet id="creatingWlasciciele" author="Catsja">
        <createTable tableName="wlasciciele">
            <column name="ID" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="imie" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="haslo" type="char(32)">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>

    <changeSet  id="kotki_increment" author="Catsja">
    <createSequence
            incrementBy="1"
            minValue="1"
            schemaName="public"
            sequenceName="id_kotki_seq"/>
    </changeSet>

    <changeSet id="creatingKotki" author="Catsja">
        <createTable tableName="kotki">
            <column name="ID" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="imie" type="text">
                <constraints nullable="false"/>
            </column>
            <column name="wlasciciele_id" type="bigint">
            </column>
        </createTable>
    </changeSet>

    <changeSet  id="kotki_foreign_key_to_wlasciciele_cascade" author="Catsja">
    <addForeignKeyConstraint
            baseColumnNames="wlasciciele_id"
            baseTableName="kotki"
            baseTableSchemaName="public"
            constraintName="fk_wlasciciele_kotki"
            onDelete="CASCADE"
            referencedColumnNames="ID"
            referencedTableName="wlasciciele"
            referencedTableSchemaName="public"/>
    </changeSet>

    <changeSet id="creatingZdaniaPrzedstawiajaceKotki" author="Catsja">
        <createTable tableName="zdania_przedstawiajace_kotki">
            <column name="zdanie" type="text">
                <constraints nullable="false"/>
            </column>
        </createTable>
    </changeSet>

    <changeSet author="Catsja" id="insertowanieZdan">
            <sqlFile path="resources/liquibase/changeLogs/zdania.sql"/>
    </changeSet>


</databaseChangeLog>
